"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_apexcharts_1 = __importDefault(require("react-apexcharts"));
var FieldUsagePie = function (props) {
    var results = props.results, className = props.className;
    var state = {
        series: results.fieldUsages.map(function (_a) {
            var count = _a.count;
            return count;
        }),
        chartOptions: {
            labels: results.fieldUsages.map(function (_a) {
                var name = _a.name;
                return name;
            }),
            legend: {
                labels: {
                    colors: "#b7e0ff"
                }
            },
        }
    };
    return (react_1.default.createElement("div", { className: className },
        react_1.default.createElement(react_apexcharts_1.default, { options: state.chartOptions, series: state.series, type: "pie", width: "100%", height: 350 })));
};
exports.default = FieldUsagePie;
