"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("bootstrap/dist/css/bootstrap.min.css");
require("./dashboard.css");
var navbar_1 = __importDefault(require("./navbar/navbar"));
var react_hooks_1 = require("@apollo/react-hooks");
var apollo_boost_1 = __importDefault(require("apollo-boost"));
var services_pills_1 = __importDefault(require("./services-pills/services-pills"));
var DashBoard = function (props) {
    var endpoint = props.endpoint;
    var pollInterval = props.pollInterval;
    var client = new apollo_boost_1.default({
        uri: endpoint,
    });
    return (react_1.default.createElement(react_hooks_1.ApolloProvider, { client: client },
        react_1.default.createElement("div", { className: "Dash" },
            react_1.default.createElement(navbar_1.default, null),
            react_1.default.createElement("div", { style: { marginBottom: 40 } }),
            react_1.default.createElement("header", { className: "App-header" },
                react_1.default.createElement(services_pills_1.default, { pollInterval: pollInterval })))));
};
exports.default = DashBoard;
