"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
// @ts-ignore
var graphql_vision_png_1 = __importDefault(require("../../../../graphql-vision.png"));
var ErrorContainer = function () {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h2", null, "Connection Error"),
        react_1.default.createElement("p", null,
            "Cannot connect to the GraphQL Vision Server in order to retrieve information and tracing results.",
            react_1.default.createElement("br", null),
            "Have you set up a graphql-vision server?",
            react_1.default.createElement("br", null),
            "Visit the ",
            react_1.default.createElement("a", { href: "https://github.com/yarinvak/graphql-vision", target: "_blank" }, "Github Project"),
            " of graphql-vision to learn how to set up a graphql-vision server.",
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement("img", { src: graphql_vision_png_1.default, width: "150" }))));
};
exports.default = ErrorContainer;
