"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Duration = function (props) {
    var nanos = props.duration;
    var type = 'ms';
    var time = 0;
    if (nanos > 1000000000) {
        type = 's';
        time = Math.round(nanos / 1000000000);
    }
    else if (nanos > 1000000) {
        type = 'ms';
        time = Math.round(nanos / 1000000);
    }
    return react_1.default.createElement("span", null,
        time,
        " (",
        type,
        ")");
};
exports.default = Duration;
