"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Path = function (props) {
    var splittedPath = props.path.split('/');
    return (react_1.default.createElement("div", { className: "path-container" }, splittedPath.map(function (part, i) {
        if (part !== '') {
            var arrow = void 0;
            var badgeColor = 'badge-warning';
            if (i < splittedPath.length - 1) {
                arrow = react_1.default.createElement("span", null, "\u00A0/\u00A0");
                badgeColor = 'badge-light';
            }
            return react_1.default.createElement("div", { key: i, style: { display: 'inline-block' } },
                react_1.default.createElement("span", { className: "badge " + badgeColor }, part),
                arrow);
        }
    })));
};
exports.default = Path;
