"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_hooks_1 = require("@apollo/react-hooks");
var apollo_boost_1 = require("apollo-boost");
require("./keepalive-point.css");
exports.KeepAlivePoint = function (props) {
    var senderId = props.senderId, pollInterval = props.pollInterval;
    var _a = react_hooks_1.useQuery(apollo_boost_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        query($senderId: String!){\n            keepAlive(senderId: $senderId)\n        }\n    "], ["\n        query($senderId: String!){\n            keepAlive(senderId: $senderId)\n        }\n    "]))), { pollInterval: pollInterval, variables: { senderId: senderId } }), loading = _a.loading, error = _a.error, data = _a.data;
    if (loading)
        return (react_1.default.createElement("span", null));
    if (error)
        return (react_1.default.createElement("span", null));
    if (data.keepAlive) {
        return (react_1.default.createElement("div", { className: "circle-container", title: "Indicates that the service is alive" },
            react_1.default.createElement("div", { className: "circle-outer-object" }),
            react_1.default.createElement("div", { className: "scale-up-center circle-object" })));
    }
    return (react_1.default.createElement("div", null));
};
var templateObject_1;
