"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./services-pills.css");
var react_1 = __importDefault(require("react"));
require("bootstrap/dist/css/bootstrap.min.css");
var apollo_boost_1 = require("apollo-boost");
var react_hooks_1 = require("@apollo/react-hooks");
var react_bootstrap_1 = require("react-bootstrap");
var service_vision_container_1 = __importDefault(require("../service-vision-container/service-vision-container"));
var ServicesPills = function (props) {
    var pollInterval = props.pollInterval;
    var _a = react_hooks_1.useQuery(apollo_boost_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        {\n            senderIds\n        }\n    "], ["\n        {\n            senderIds\n        }\n    "]))), { pollInterval: pollInterval, fetchPolicy: 'no-cache' }), loading = _a.loading, error = _a.error, data = _a.data;
    if (!loading && !error) {
        var tabs = data.senderIds.map(function (x, i) {
            var title = (react_1.default.createElement("div", null,
                react_1.default.createElement("div", { className: "square" }, x.toUpperCase().charAt(0)),
                " ",
                x));
            return (react_1.default.createElement(react_bootstrap_1.Tab, { eventKey: x, key: i, title: title },
                react_1.default.createElement(service_vision_container_1.default, { pollInterval: pollInterval, senderId: x })));
        });
        return (react_1.default.createElement("div", { className: "Services-Pills" },
            react_1.default.createElement(react_bootstrap_1.Tabs, { defaultActiveKey: "all", id: "uncontrolled-tab-example", className: "Dashboard-Tabs", transition: false },
                react_1.default.createElement(react_bootstrap_1.Tab, { eventKey: "all", title: "All" },
                    react_1.default.createElement(service_vision_container_1.default, { pollInterval: pollInterval })),
                tabs)));
    }
    else {
        return (react_1.default.createElement("div", { className: "Services-Pills" },
            react_1.default.createElement(react_bootstrap_1.Tabs, { defaultActiveKey: "all", id: "uncontrolled-tab-example", className: "Dashboard-Tabs" },
                react_1.default.createElement(react_bootstrap_1.Tab, { eventKey: "all", title: "All" },
                    react_1.default.createElement(service_vision_container_1.default, { pollInterval: pollInterval })))));
    }
};
exports.default = ServicesPills;
var templateObject_1;
