"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_bootstrap_1 = require("react-bootstrap");
require("./dash-table.css");
var DashTable = function (props) {
    var _a = props.data, columns = _a.columns, rows = _a.rows;
    return (react_1.default.createElement(react_bootstrap_1.Table, { bordered: true, striped: true, hover: true, variant: "dark", className: "usage-table" },
        react_1.default.createElement("thead", null,
            react_1.default.createElement("tr", null, columns.map(function (column, i) { return react_1.default.createElement("th", { key: i }, column.label); }))),
        react_1.default.createElement("tbody", null, rows.map(function (row, i) {
            return react_1.default.createElement("tr", { key: i }, columns.map(function (column, j) { return react_1.default.createElement("td", { key: j }, row[column.name]); }));
        }))));
};
exports.default = DashTable;
